Skip to main content
POST
Queue the import job for commitment relationships

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

program_id
integer
required

ID of the program

Body

application/json
filename
string

S3 filename of the CSV

original_filename
string

Original uploaded filename

csv_entity_field
string

Header name of the entity identifier column in CSV

entity_field
string

Gratona entity field key used for matching

csv_donor_field
string

Header name of the donor identifier column in CSV

donor_field
string

Gratona donor field key used for matching

csv_commitment_field
string | null

Header name for commitment amount column

csv_date_field
string | null

Header name for next payment date column

csv_frequency_field
string | null

Header name for payment frequency column

csv_payment_method_field
string | null

Header name for payment method column

is_per_period_amount
boolean | null

Whether the commitment amount is the charge per billing period. Omit to preserve existing commitments and default new commitments to monthly-base amounts.

import_inactive
boolean | null

Whether to process inactive statuses

csv_inactive_field
string | null

Header name for inactive status column

offset
integer | null

Header row offset (default 0)

Response

Import queued successfully